.TH DALIB 3 "November, 1996" DALIB "Digital Audio Tape support Library"
.SH NAME
da_init \- Initialise a DAT filedescriptor
.SH SYNOPSIS
.B #include <sys/fcntl.h>
.B #include "dataudiolib.h"
.sp
.B int
.br
.BI "da_init( int " fd ", int " mode ")"
.SH DESCRIPTION
The
.B da_init()
function initialises the library with an already opened filedescriptor.
If 
.B fd
is associated with a tape device, this functions tries to load the last
saved state of this tape device (if present).
.SH PARAMETERS
.SS Input Parameters
.IP fd
A UNIX filedescriptor. This may be one of the standard filedescriptors
(associated with stdin or stdout).
.IP mode
May contain the same flags that can be passed to 
.B open(3)
as defined in <sys/fcntl.h>. This function only uses O_RDONLY,O_WRONLY and
O_RDWR.
.SH RETURN VALUE
This function returns an integer descriptor to be used with other da_xxx
functions.
.br
When an error condition arises, this routine returns -1 and sets errno to
indicate the reason for the error.  Possible values of errno are:
.TP
EINVAL
The filedescriptor is invalid.
.TP
other
All errnos that can be returned by 
.B fstat(3)
\&.
.SH USAGE EXAMPLE
.PP
Open stdin as a DAT audio device. (You have to start the resp. program using
.B program
< /dev/somewhere
.PP
.nf
		int datfd;

		datfd=da_init(fileno(stdin));
.fi
.SH SEE ALSO
.B da_intro(3),da_init(3)
.SH AUTHOR
Marcus Meissner <msmeissn@cip.informatik.uni-erlangen.de>
