.TH DALIB 3 "November, 1996" DALIB "Digital Audio Tape Library 0.1"
.SH NAME
da_write \- write on the device associated with a DAT descriptor
.SH SYNOPSIS
.B #include "dataudiolib.h"
.sp
.B int
.br
.BI "da_write(int  datfd ,unsigned char* data ,int size )"
.SH DESCRIPTION
The
.B da_write()
function writes a chunk of audio data on the device specified by datfd.
The function will convert the audiodata into the DAT format and write
it to the device/file/stream associated with 
.B datfd
\&. The resulting data is being buffered.
.br 
This function advances the subcode written automatically depending on
the parameters specified using 
.B da_control(3)
or as loaded from the saved state.
.SH PARAMETERS
.SS Input Parameters
.IP datfd
A filedescriptor returned by da_open or da_init.
.IP data
Contains the audiodata consisting of 16 bit linear encoded stereo samples
(alternating left and right channel).
.IP size
The size of the audiodata.
.SH RETURN VALUE
This function returns the number of bytes used from data.
.br
When an error condition arises, this routine returns -1 and sets errno to
indicate the reason for the error.  Possible values of errno are:
.TP
EINVAL
The filedescriptor is invalid.
.TP
other
All errnos that can be returned by 
.B write(2)
\&.
.SH USAGE EXAMPLE
.PP
Write 4096 bytes of audiodata.
.PP
.nf
		unsigned char	data[4096];
		int		res;

		/* fill data */
		res=da_write(datfd,data,4096);
		if (res==-1) {
			perror("da_write");
		}
.fi
.SH SEE ALSO
.B da_intro(3),da_read(3)
.SH AUTHOR
Marcus Meissner <msmeissn@cip.informatik.uni-erlangen.de>
